Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 218579 - Update request: f-spot 0.3.0
Summary: Update request: f-spot 0.3.0
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: f-spot
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL: http://hircus.org/fedora/f-spot/
Whiteboard:
Depends On:
Blocks: FC7Target FC7UpdateRequests
TreeView+ depends on / blocked
 
Reported: 2006-12-06 06:07 UTC by Michel Alexandre Salim
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-31 21:05:05 UTC


Attachments (Terms of Use)
Patch to f-spot spec file (deleted)
2006-12-06 06:07 UTC, Michel Alexandre Salim
no flags Details | Diff

Description Michel Alexandre Salim 2006-12-06 06:07:01 UTC
Description of problem:
Spec: http://hircus.org/fedora/f-spot/f-spot.spec
SRPM: http://hircus.org/fedora/f-spot/f-spot-0.3.0-1.src.rpm

Could f-spot be updated to 0.3.0? It has (much) better tag-handling, and seems
more responsive as well (or it could just be Mono 1.2 being faster)


Version-Release number of selected component (if applicable):
0.2.1-2.fc7


Additional info:
Tested fine on my FC6 machine updated with Mono from -devel. The libdir patch
needs to be modified anyway, so I took the opportunity to streamline it by using
--libdir instead of --prefix/lib

Comment 1 Michel Alexandre Salim 2006-12-06 06:07:01 UTC
Created attachment 142916 [details]
Patch to f-spot spec file

Comment 2 Michael Cronenworth 2006-12-14 21:52:59 UTC
I just noticed that FC6 is shipped with 0.2.1 and there have been two newer
versions since then...

I built a package with your SRPM and it works great. Thanks!

Comment 3 Bart Vanbrabant 2007-01-20 10:00:37 UTC
I've updated f-spot to 3.1.1
http://bart.ulyssis.org/fedora/f-spot/f-spot-0.3.1-1.fc7.src.rpm
http://bart.ulyssis.org/fedora/f-spot/f-spot.spec

I think this update would also fix a lot of open bugs.

Comment 4 Matthias Clasen 2007-01-31 21:05:05 UTC
I've built 0.3.2 in rawhide today


Note You need to log in before you can comment on or make changes to this bug.